clear all

% Let user select folder to process
cd('M:\Gap flights budgie\NEW SESSIONS');
[FileName,PathName] = uigetfile('*.mat','Select first file in folder'); % Pick file to get the folder

% Get list of files in folder
cd(PathName) % Open folder with files
Files=dir('*.mat');

% Let user choose file with Camera parameters
[NameCalib,PathNameCalib] = uigetfile('*.mat','Select Calibration file'); % Pick file
cd(PathNameCalib)
load(NameCalib)

% % Get list of files in folder
cd(PathName) % Open folder with files
Files=dir('*.mat');

for i=1:length(Files)
% **** Load Data ****
load(Files(i).name)
% mkdir(Files(i).name(1:end-4)); % Make a new subfolder for the current flight
% cd(Files(i).name(1:end-4)); %Go into new folder

frame_with_point=find(not(isnan(XL(3,:)))); %Find the clicked point in the current file
pL2(1)=XL(2,frame_with_point);
pL2(2)=YL(2,frame_with_point);
pR2(1)=XR(2,frame_with_point);
pR2(2)=YR(2,frame_with_point);

pL3(1)=XL(3,frame_with_point);
pL3(2)=YL(3,frame_with_point);
pR3(1)=XR(3,frame_with_point);
pR3(2)=YR(3,frame_with_point);

% **** Calculate 3D ****
[XYZ2 error2(i,1)]=triangulate(pL2,pR2,stereoParams);
[XYZ3 error3(i,1)]=triangulate(pL3,pR3,stereoParams);

% **** Calculate distance between wingtips ****

diff=XYZ2-XYZ3;
diff2=diff.*diff;
diffsum=sum(diff2,2);
dist(i,1)=sqrt(diffsum);
end
dist
error2
error3

save ([FileName(1:2) '_Distances'], 'dist', 'error2', 'error3', 'Files')

