clear all
close all
cd('F:\Gap flights budgie\NEW SESSIONS');
[FileName,PathName] = uigetfile('*.mat','Select first file in folder'); % Pick file to get the folder

% Get list of files in folder
cd(PathName) % Open folder with files
Files=dir('*.mat');

t_rev_all=NaN(50,25);
VelTOT_all=NaN(50,25);
VelTOT_linear_all=NaN(50,25);
for i=1:length(Files)
    % **** Load Data ****
    load(Files(i).name)
    t_rev_all(1:size(t_rev,1),i)=t_rev;
    VelTOT_all(1:size(t_rev,1),i)=VelTOT;
    coeffs(i,1:2) = polyfit(t_rev_all(1:size(t_rev,1),i),VelTOT_all(1:size(t_rev,1),i),1); %linear regression to get over all deceleration
    VelTOT_linear_all(1:size(t_rev,1),i)=polyval(coeffs(i,:), t_rev_all(1:size(t_rev,1),i)); % values from regression
    decel_all(1,i)=coeffs(i,1); % save the deceleration in m/s^2    
    %clear t_rev VelTOT coeffs
end

mkdir('Results')
cd ('Results')

figure;
plot(t_rev_all,VelTOT_all)
hold on;
plot(t_rev_all,VelTOT_linear_all)
savefig('Speeds_and_decel')
saveas(gcf,'Speeds_and_decel.png')

coeffs_mean=mean(coeffs)
t_plot=[-0.2:1/120:0]; %final 200 ms
t_plot=t_plot';
mean_line=polyval(coeffs_mean,t_plot);
figure;
plot(t_rev_all,VelTOT_linear_all)
hold on
plot(t_plot,mean_line,':k')


decel_all
mean_decel=mean(decel_all)

save ('Results.mat','Files','t_rev_all','VelTOT_all','VelTOT_linear_all','coeffs','decel_all','mean_decel')

